Download it now!
Bug 61540 - Insert column in a table deforms it, reduces the column size
Summary: Insert column in a table deforms it, reduces the column size
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.6.3.2 release
Hardware: All All
: medium normal
Assignee: Karthikeyan Krishnamurthi
URL:
Whiteboard: target:4.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-27 05:48 UTC by Karthikeyan Krishnamurthi
Modified: 2013-03-26 22:34 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Shows the column insertion, reduces the width of the column (83.82 KB, image/png)
2013-02-27 05:48 UTC, Karthikeyan Krishnamurthi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Karthikeyan Krishnamurthi 2013-02-27 05:48:17 UTC
Created attachment 75618 [details]
Shows the column insertion, reduces the width of the column

Insert column in a RTL table(with option insert before) deforms it, reduces the column size.
Comment 1 Karthikeyan Krishnamurthi 2013-02-27 09:08:53 UTC
To Reproduce:
Libreoffice -> Presentation
              -> insert a table -> Change it into RTL
                 -> Right click in any cell -> Column -> insert
                   -> select option "Before" in radio button -> ok

Now the number of columns are created as asked, but the size is too small than the original one.  

In the case of radio button option "After" it works fine.
Comment 2 abdulmajeed 2013-03-02 09:05:53 UTC
Conform this bug on ubuntu 12.10 64bit  on master 4.1.0 alpha
Comment 3 narayanaras 2013-03-05 05:18:38 UTC
Indeed this is a major timewaster: When the new column is added, the old columns become narrower even when the page has enough free space. Worse, the effect is not limited to just one column: All the columns of the table are affected.

The author has to re-adjust all the columns once again.

Desired: 

When a column is added, the original widths of the table must not be changed at all: The overall width of the table should be increased by the width of the new column.

Even when the table is already occupying the entire width of the page, this should apply (so that the table goes beyond the printable limit). Let the user re-adjust the table columns as he desires.

But in most cases he will be able to add a column without having an undesired side-effect.
Comment 4 Lior Kaplan 2013-03-08 10:43:12 UTC
Just to summarize the problem:
- Inserting a column before splits the column width into 2 - half for the new one and half for the old (keeping the table in the same size).
- Inserting a column after added a column with the same width as the original (enlarging the table).
Comment 5 Commit Notification 2013-03-26 16:57:28 UTC
K_Karthikeyan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=60570afbeaa058b6f8a9b878cc41b1535ef6e5f0

Resolves fdo#61540



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Lior Kaplan 2013-03-26 22:34:36 UTC
Fix is verified on a build from master.